<template>
	<view class="page-content">
		<image src="../../../static/img/start-second.jpg" width="" mode="widthFix"></image>
	</view>
</template>

<script>
	import oilSiteApi from '@/api/oil-site.js'
	export default {
		data() {
			return {
				// newImgURL: require('start'),
				imgURL: this.global.imgURL + 'start/',
				menuList: [{
						title: '渠道',
						isMutiple: false,
						key: 'channelCode',
						detailList: [{
							title: "全部",
							value: ""
						}]
					},
					{
						title: '0#轻柴油',
						key: 'oilProductCode',
						isMutiple: false,
						detailList: [{
							title: "全部",
							value: ""
						}]
					},
					{
						title: '品牌',
						key: 'siteBrand',
						isSort: true,
						isMutiple: false,
						detailList: [{
							title: "全部",
							value: ""
						}]
					}
				],

			}
		},
		onLoad(option) {
			const token = uni.getStorageSync('Authorization')
			const openid = uni.getStorageSync('openid')
			let key = ''
			if (token && openid) {
				key = '在线'
			} else {
				key = '离线'
			}
			if (key == '在线') {
				if (!uni.getStorageSync('filterData')) {
					this.getFilterData()
				} else if (uni.getStorageSync('filterData')[0].detailList.length < 2) {
					this.getFilterData()
				}
			}
			setTimeout(() => {
				if (key == '在线') {
					uni.switchTab({
						url: '/pages/tabbar/home/home',
					})
				} else {
					uni.redirectTo({
						url: '/BagAuth/pages/login/login'
					})
				}
			}, 2500)
			// 在页面中定义插屏广告
			// let interstitialAd = null

			// 在页面onLoad回调事件中创建插屏广告实例
			// if (wx.createInterstitialAd) {
			// 	interstitialAd = wx.createInterstitialAd({
			// 		adUnitId: 'adunit-a7faf57adeed211f'
			// 	})
			// }
			// interstitialAd.onLoad((err) => {
			// 	// console.log('onLoad event emit', err)
			// })
			// interstitialAd.onError((err) => {
			// 	setTimeout(() => {
			// 		if (key == '在线') {
			// 			uni.switchTab({
			// 				url: '/pages/tabbar/home/home',
			// 			})
			// 		} else {
			// 			uni.redirectTo({
			// 				url: '/BagAuth/pages/login/login'
			// 			})
			// 		}
			// 	}, 2000)
			// })
			// 在适合的场景显示插屏广告
			// if (interstitialAd) {
			// 	interstitialAd.show().catch((err) => {
			// 		// console.error(err)
			// 	})
			// }
			// interstitialAd.onClose(res => {
			// 	setTimeout(() => {
			// 		if (key == '在线') {
			// 			uni.switchTab({
			// 				url: '/pages/tabbar/home/home',
			// 			})
			// 		} else {
			// 			uni.redirectTo({
			// 				url: '/BagAuth/pages/login/login'
			// 			})
			// 		}
			// 	}, 1000)
			// })
		},
		onReady(option) {
			const updateManager = uni.getUpdateManager();

			updateManager.onCheckForUpdate(function(res) {
				// 请求完新版本信息的回调
				// console.log('请求完新版本信息的回调', res.hasUpdate);
			});

			updateManager.onUpdateReady(function(res) {
				uni.showModal({
					title: '更新提示',
					content: '新版本已经准备好，是否重启应用？',
					success(res) {
						if (res.confirm) {
							// 新的版本已经下载好，调用 applyUpdate 应用新版本并重启
							updateManager.applyUpdate();
						}
					}
				});

			});

			updateManager.onUpdateFailed(function(res) {
				// 新的版本下载失败
			});

		},
		methods: {
			getFilterData() {
				oilSiteApi.getCheckInfo().then(res => {
					if (res.code == 20000) {
						let channelCodes = []
						res.data.channelCodes.map(item => {
							channelCodes.push({
								title: item.name,
								value: item.id
							})
						})
						let productCodes = []
						res.data.productCodes.map(item => {
							productCodes.push({
								title: item.name,
								value: item.id
							})
						})
						let siteBrands = []
						res.data.siteBrands.map(item => {
							siteBrands.push({
								title: item.name,
								value: item.id
							})
						})
						// console.log(channelCodes, productCodes, siteBrands)
						this.menuList[0].detailList = this.menuList[0].detailList.concat(channelCodes)
						this.menuList[1].detailList = this.menuList[1].detailList.concat(productCodes)
						this.menuList[2].detailList = this.menuList[2].detailList.concat(siteBrands)
						uni.setStorageSync('filterData', this.menuList)
						// this.$refs.slFilter.resetMenuList(this.menuList)
					}
				})
			},
		}
	}
</script>

<style scoped>
	.page-content {
		height: 100%;
		overflow: hidden;
	}

	.page-content image {
		width: 750upx;
	}
</style>